Integrations
List available providers
List the integration providers available to the tenant with their auth schemes, operations and usage prices. Paginated with cursor and limit.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Query Parameters
cursor?string
Opaque continuation cursor from the previous response.
Length
length <= 2048limit?integer
Filter or parameter: limit.
Range
1 <= value <= 100Default
50Header Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/integrations/catalog"{ "items": [ { "key": "summary", "contract_digest": "example", "display_name": "example", "description": "example", "category": "example", "icon_key": "example", "auth_schemes": [], "operations": [], "sources": [] } ], "next_cursor": null}